Subject: RE: CCL:software for extracting first solvent shell

From: noel.oboyle2^at^mail.dcu.ie
Date: Fri, 22 Aug 2003 09:11:30 +0100

Hello again,
Please find attached the first and last tcl script I've ever written. This
sort of script only works with the latest version of Hyperchem (I think).

You can open the script with Notepad to see how it works and to change some
of the built-in parameters. The script assumes the solute molecule is molecule
1, and that every other molecule is solvent. It defines the first solvation
shell as every solvent molecule with an atom within 3 Angstroms of an atom
of the solute molecule. I invented that definition so feel free to change
that value.

To 'run' the script, you just go to Script/Open Script/File of Type Tcl.

Oh oh, I've just noticed - the script only works for solvent molecules with
three atoms. You should change the number 3 in the following line to the
number of atoms in each solvent molecule.

	while { $j <= 3 } {

Tell me if you have any problems,
Noel

>-- Original Message --
>From: "Irene Newhouse" <einew^at^hotmail.com>
>To: noel.oboyle2^at^mail.dcu.ie
>Subject: RE: CCL:software for extracting first solvent shell
>Date: Thu, 21 Aug 2003 06:42:51 -1000
>
>
>Well, first off, I'd like to have a LOOK at it, so your script sounds just
>
>like what I'd like.  My molecule destabilizes the solvent I'm using, you
>
>see, so there's some hope that looking at the first solvent shell may lead
>
>to some sort of insight.
>
>Yes, Hyperchem will open pdb files.  Correctly if they have CONECT records,
>
>as isolated atoms if not.  My solute/solvent files don't contain CONECT

>records, but once I've saved the results, I can look at them with VMD or
>
>PyMol, which can draw bonds w/out CONECT records.
>
>Thanks a lot!
>
>Irene
>
>>Hello
>>
>>What is it exactly you wish to do with the shell when you find it?
>>
>>I wrote a script for Hyperchem 7 (available free for 30-days) which selects
>>the first solvation shell. You may need to modify it for your purposes
(I
>>can help). Hyperchem (I think) will open .pdb files.
>>
>>When the shell is selected, you can display only the shell, the shell
plus
>>the molecule, etc. You could also remove all the other solvent molecules
>>and save the file.
>>
>>Like I said, if this is sufficient I can help.
>>
>>Noel
>>
>> >-- Original Message --
>> >Date: Wed, 20 Aug 2003 11:16:54 -1000
>> >From: Irene Newhouse <einew^at^hotmail.com>
>> >To: chemistry^at^ccl.net
>> >Subject: CCL:software for extracting first solvent shell
>> >
>> >
>> >I'm interested in examining the first solvent shell around a solute
in
>> >simulation snapshot files; mine happen to be in pdb format.  Can anyone
>> >point me toward software that does this [preferably free or cheap]?
>> >
>> >Thanks!
>> >Irene Newhouse
>> >

Noel O'Boyle
Han Vos Research Group
School of Chemical Sciences
Dublin City University

http://www.dcu.ie/~chemist/Staffpages/han_vos.htm